Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
6e83662187126a08e46f9e7a9f1f22dd02704342
[simgrid.git] / teshsuite / Makefile.in
1 # Makefile.in generated by automake 1.10 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Makefile chunk which allows to display the files which should be included
18 # into the distribution.
19
20 # It is intended to be included in all Makefile.am 
21
22 VPATH = @srcdir@
23 pkgdatadir = $(datadir)/@PACKAGE@
24 pkglibdir = $(libdir)/@PACKAGE@
25 pkgincludedir = $(includedir)/@PACKAGE@
26 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
27 install_sh_DATA = $(install_sh) -c -m 644
28 install_sh_PROGRAM = $(install_sh) -c
29 install_sh_SCRIPT = $(install_sh) -c
30 INSTALL_HEADER = $(INSTALL_DATA)
31 transform = $(program_transform_name)
32 NORMAL_INSTALL = :
33 PRE_INSTALL = :
34 POST_INSTALL = :
35 NORMAL_UNINSTALL = :
36 PRE_UNINSTALL = :
37 POST_UNINSTALL = :
38 build_triplet = @build@
39 host_triplet = @host@
40 target_triplet = @target@
41 noinst_PROGRAMS = xbt/parallel_log_crashtest$(EXEEXT) \
42         gras/datadesc/datadesc_usage$(EXEEXT) \
43         gras/msg_handle/msg_handle_client$(EXEEXT) \
44         gras/msg_handle/msg_handle_server$(EXEEXT) \
45         gras/msg_handle/msg_handle_simulator$(EXEEXT) \
46         simdag/network/test_reinit_costs$(EXEEXT) \
47         simdag/network/p2p/test_latency1$(EXEEXT) \
48         simdag/network/p2p/test_latency2$(EXEEXT) \
49         simdag/network/p2p/test_latency3$(EXEEXT) \
50         simdag/network/p2p/test_latency_bound$(EXEEXT) \
51         simdag/network/mxn/test_intra_all2all$(EXEEXT) \
52         simdag/network/mxn/test_intra_independent_comm$(EXEEXT) \
53         simdag/network/mxn/test_intra_scatter$(EXEEXT) \
54         simdag/partask/test_comp_only_seq$(EXEEXT) \
55         simdag/partask/test_comp_only_par$(EXEEXT)
56 @GRAS_ARCH_32_BITS_TRUE@am__append_1 = gras/msg_handle/test_rl gras/msg_handle/test_sg_32
57 @GRAS_ARCH_32_BITS_FALSE@am__append_2 = gras/msg_handle/test_rl gras/msg_handle/test_sg_64
58 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
59         $(top_srcdir)/acmacro/dist-files.mk
60 subdir = teshsuite
61 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
62 am__aclocal_m4_deps = $(top_srcdir)/acmacro/ac_func_snprintf.m4 \
63         $(top_srcdir)/acmacro/compiler-flags.m4 \
64         $(top_srcdir)/acmacro/context.m4 \
65         $(top_srcdir)/acmacro/fancy_configury.m4 \
66         $(top_srcdir)/acmacro/flex.m4 \
67         $(top_srcdir)/acmacro/gras_arch.m4 \
68         $(top_srcdir)/acmacro/print_null.m4 \
69         $(top_srcdir)/acmacro/va_copy.m4 $(top_srcdir)/configure.ac
70 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
71         $(ACLOCAL_M4)
72 mkinstalldirs = $(install_sh) -d
73 CONFIG_HEADER = $(top_builddir)/src/gras_config.h
74 CONFIG_CLEAN_FILES =
75 PROGRAMS = $(noinst_PROGRAMS)
76 am_gras_datadesc_datadesc_usage_OBJECTS = datadesc_usage.$(OBJEXT) \
77         datadesc_structs.$(OBJEXT)
78 gras_datadesc_datadesc_usage_OBJECTS =  \
79         $(am_gras_datadesc_datadesc_usage_OBJECTS)
80 gras_datadesc_datadesc_usage_DEPENDENCIES = $(LDADD_RL)
81 am__dirstamp = $(am__leading_dot)dirstamp
82 am_gras_msg_handle_msg_handle_client_OBJECTS = msg_handle.$(OBJEXT) \
83         _msg_handle_client.$(OBJEXT)
84 gras_msg_handle_msg_handle_client_OBJECTS =  \
85         $(am_gras_msg_handle_msg_handle_client_OBJECTS)
86 gras_msg_handle_msg_handle_client_DEPENDENCIES = $(LDADD_RL)
87 am_gras_msg_handle_msg_handle_server_OBJECTS = msg_handle.$(OBJEXT) \
88         _msg_handle_server.$(OBJEXT)
89 gras_msg_handle_msg_handle_server_OBJECTS =  \
90         $(am_gras_msg_handle_msg_handle_server_OBJECTS)
91 gras_msg_handle_msg_handle_server_DEPENDENCIES = $(LDADD_RL)
92 am_gras_msg_handle_msg_handle_simulator_OBJECTS =  \
93         msg_handle.$(OBJEXT) _msg_handle_simulator.$(OBJEXT)
94 gras_msg_handle_msg_handle_simulator_OBJECTS =  \
95         $(am_gras_msg_handle_msg_handle_simulator_OBJECTS)
96 gras_msg_handle_msg_handle_simulator_DEPENDENCIES = $(LDADD_SG)
97 am_simdag_network_mxn_test_intra_all2all_OBJECTS =  \
98         test_intra_all2all.$(OBJEXT)
99 simdag_network_mxn_test_intra_all2all_OBJECTS =  \
100         $(am_simdag_network_mxn_test_intra_all2all_OBJECTS)
101 simdag_network_mxn_test_intra_all2all_DEPENDENCIES = $(LDADD_SG)
102 am_simdag_network_mxn_test_intra_independent_comm_OBJECTS =  \
103         test_intra_independent_comm.$(OBJEXT)
104 simdag_network_mxn_test_intra_independent_comm_OBJECTS =  \
105         $(am_simdag_network_mxn_test_intra_independent_comm_OBJECTS)
106 simdag_network_mxn_test_intra_independent_comm_DEPENDENCIES =  \
107         $(LDADD_SG)
108 am_simdag_network_mxn_test_intra_scatter_OBJECTS =  \
109         test_intra_scatter.$(OBJEXT)
110 simdag_network_mxn_test_intra_scatter_OBJECTS =  \
111         $(am_simdag_network_mxn_test_intra_scatter_OBJECTS)
112 simdag_network_mxn_test_intra_scatter_DEPENDENCIES = $(LDADD_SG)
113 am_simdag_network_p2p_test_latency1_OBJECTS = test_latency1.$(OBJEXT)
114 simdag_network_p2p_test_latency1_OBJECTS =  \
115         $(am_simdag_network_p2p_test_latency1_OBJECTS)
116 simdag_network_p2p_test_latency1_DEPENDENCIES = $(LDADD_SG)
117 am_simdag_network_p2p_test_latency2_OBJECTS = test_latency2.$(OBJEXT)
118 simdag_network_p2p_test_latency2_OBJECTS =  \
119         $(am_simdag_network_p2p_test_latency2_OBJECTS)
120 simdag_network_p2p_test_latency2_DEPENDENCIES = $(LDADD_SG)
121 am_simdag_network_p2p_test_latency3_OBJECTS = test_latency3.$(OBJEXT)
122 simdag_network_p2p_test_latency3_OBJECTS =  \
123         $(am_simdag_network_p2p_test_latency3_OBJECTS)
124 simdag_network_p2p_test_latency3_DEPENDENCIES = $(LDADD_SG)
125 am_simdag_network_p2p_test_latency_bound_OBJECTS =  \
126         test_latency_bound.$(OBJEXT)
127 simdag_network_p2p_test_latency_bound_OBJECTS =  \
128         $(am_simdag_network_p2p_test_latency_bound_OBJECTS)
129 simdag_network_p2p_test_latency_bound_DEPENDENCIES = $(LDADD_SG)
130 am_simdag_network_test_reinit_costs_OBJECTS =  \
131         test_reinit_costs.$(OBJEXT)
132 simdag_network_test_reinit_costs_OBJECTS =  \
133         $(am_simdag_network_test_reinit_costs_OBJECTS)
134 simdag_network_test_reinit_costs_DEPENDENCIES = $(LDADD_SG)
135 am_simdag_partask_test_comp_only_par_OBJECTS =  \
136         test_comp_only_par.$(OBJEXT)
137 simdag_partask_test_comp_only_par_OBJECTS =  \
138         $(am_simdag_partask_test_comp_only_par_OBJECTS)
139 simdag_partask_test_comp_only_par_DEPENDENCIES = $(LDADD_SG)
140 am_simdag_partask_test_comp_only_seq_OBJECTS =  \
141         test_comp_only_seq.$(OBJEXT)
142 simdag_partask_test_comp_only_seq_OBJECTS =  \
143         $(am_simdag_partask_test_comp_only_seq_OBJECTS)
144 simdag_partask_test_comp_only_seq_DEPENDENCIES = $(LDADD_SG)
145 xbt_parallel_log_crashtest_SOURCES = xbt/parallel_log_crashtest.c
146 xbt_parallel_log_crashtest_OBJECTS = parallel_log_crashtest.$(OBJEXT)
147 xbt_parallel_log_crashtest_DEPENDENCIES = $(LDADD_RL)
148 DEFAULT_INCLUDES = -I. -I$(top_builddir)/src@am__isrc@
149 depcomp = $(SHELL) $(top_srcdir)/depcomp
150 am__depfiles_maybe = depfiles
151 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
152         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
153 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
154         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
155         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
156 CCLD = $(CC)
157 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
158         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
159         $(LDFLAGS) -o $@
160 SOURCES = $(gras_datadesc_datadesc_usage_SOURCES) \
161         $(gras_msg_handle_msg_handle_client_SOURCES) \
162         $(gras_msg_handle_msg_handle_server_SOURCES) \
163         $(gras_msg_handle_msg_handle_simulator_SOURCES) \
164         $(simdag_network_mxn_test_intra_all2all_SOURCES) \
165         $(simdag_network_mxn_test_intra_independent_comm_SOURCES) \
166         $(simdag_network_mxn_test_intra_scatter_SOURCES) \
167         $(simdag_network_p2p_test_latency1_SOURCES) \
168         $(simdag_network_p2p_test_latency2_SOURCES) \
169         $(simdag_network_p2p_test_latency3_SOURCES) \
170         $(simdag_network_p2p_test_latency_bound_SOURCES) \
171         $(simdag_network_test_reinit_costs_SOURCES) \
172         $(simdag_partask_test_comp_only_par_SOURCES) \
173         $(simdag_partask_test_comp_only_seq_SOURCES) \
174         xbt/parallel_log_crashtest.c
175 DIST_SOURCES = $(gras_datadesc_datadesc_usage_SOURCES) \
176         $(gras_msg_handle_msg_handle_client_SOURCES) \
177         $(gras_msg_handle_msg_handle_server_SOURCES) \
178         $(gras_msg_handle_msg_handle_simulator_SOURCES) \
179         $(simdag_network_mxn_test_intra_all2all_SOURCES) \
180         $(simdag_network_mxn_test_intra_independent_comm_SOURCES) \
181         $(simdag_network_mxn_test_intra_scatter_SOURCES) \
182         $(simdag_network_p2p_test_latency1_SOURCES) \
183         $(simdag_network_p2p_test_latency2_SOURCES) \
184         $(simdag_network_p2p_test_latency3_SOURCES) \
185         $(simdag_network_p2p_test_latency_bound_SOURCES) \
186         $(simdag_network_test_reinit_costs_SOURCES) \
187         $(simdag_partask_test_comp_only_par_SOURCES) \
188         $(simdag_partask_test_comp_only_seq_SOURCES) \
189         xbt/parallel_log_crashtest.c
190 ETAGS = etags
191 CTAGS = ctags
192 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
193 ACLOCAL = @ACLOCAL@
194 ADDR2LINE = @ADDR2LINE@
195 AMTAR = @AMTAR@
196 AM_CPPFLAGS = @AM_CPPFLAGS@
197 AR = @AR@
198 AS = @AS@
199 AUTOCONF = @AUTOCONF@
200 AUTOHEADER = @AUTOHEADER@
201 AUTOMAKE = @AUTOMAKE@
202 AWK = @AWK@
203 BASH = @BASH@
204 CC = @CC@
205 CCDEPMODE = @CCDEPMODE@
206 CFLAGS = @CFLAGS@
207 CPP = @CPP@
208 CPPFLAGS = @CPPFLAGS@
209 CXX = @CXX@
210 CXXCPP = @CXXCPP@
211 CXXDEPMODE = @CXXDEPMODE@
212 CXXFLAGS = @CXXFLAGS@
213 CYGPATH_W = @CYGPATH_W@
214 DEFS = @DEFS@
215 DEPDIR = @DEPDIR@
216 DLLTOOL = @DLLTOOL@
217 DOXYGEN = @DOXYGEN@
218 ECHO = @ECHO@
219 ECHO_C = @ECHO_C@
220 ECHO_N = @ECHO_N@
221 ECHO_T = @ECHO_T@
222 EGREP = @EGREP@
223 EXEEXT = @EXEEXT@
224 FLEXML = @FLEXML@
225 GCJ = @GCJ@
226 GCJDEPMODE = @GCJDEPMODE@
227 GCJFLAGS = @GCJFLAGS@
228 GRAS_DEP = @GRAS_DEP@
229 GREP = @GREP@
230 INSTALL = @INSTALL@
231 INSTALL_DATA = @INSTALL_DATA@
232 INSTALL_PROGRAM = @INSTALL_PROGRAM@
233 INSTALL_SCRIPT = @INSTALL_SCRIPT@
234 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
235 JAR = @JAR@
236 JAVA = @JAVA@
237 JAVAC = @JAVAC@
238 LDFLAGS = @LDFLAGS@
239 LD_DYNAMIC_FLAGS = @LD_DYNAMIC_FLAGS@
240 LEX = @LEX@
241 LEXLIB = @LEXLIB@
242 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
243 LIBOBJS = @LIBOBJS@
244 LIBS = @LIBS@
245 LIBTOOL = @LIBTOOL@
246 LN_S = @LN_S@
247 LTLIBOBJS = @LTLIBOBJS@
248 MAINT = @MAINT@
249 MAKEINFO = @MAKEINFO@
250 MD5SUM = @MD5SUM@
251 MKDIR_P = @MKDIR_P@
252 OBJDUMP = @OBJDUMP@
253 OBJEXT = @OBJEXT@
254 PACKAGE = @PACKAGE@
255 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
256 PACKAGE_NAME = @PACKAGE_NAME@
257 PACKAGE_STRING = @PACKAGE_STRING@
258 PACKAGE_TARNAME = @PACKAGE_TARNAME@
259 PACKAGE_VERSION = @PACKAGE_VERSION@
260 PATH_SEPARATOR = @PATH_SEPARATOR@
261 PTH_STACK_GROWTH = @PTH_STACK_GROWTH@
262 RANLIB = @RANLIB@
263 SET_MAKE = @SET_MAKE@
264 SHELL = @SHELL@
265 SIMGRID_DEP = @SIMGRID_DEP@
266 SMPI_DEP = @SMPI_DEP@
267 STRIP = @STRIP@
268 VERSION = @VERSION@
269 WARNING = @WARNING@
270 abs_builddir = @abs_builddir@
271 abs_srcdir = @abs_srcdir@
272 abs_top_builddir = @abs_top_builddir@
273 abs_top_srcdir = @abs_top_srcdir@
274 ac_configure_args = @ac_configure_args@
275 ac_ct_CC = @ac_ct_CC@
276 ac_ct_CXX = @ac_ct_CXX@
277 am__include = @am__include@
278 am__leading_dot = @am__leading_dot@
279 am__quote = @am__quote@
280 am__tar = @am__tar@
281 am__untar = @am__untar@
282 bindir = @bindir@
283 build = @build@
284 build_alias = @build_alias@
285 build_cpu = @build_cpu@
286 build_id = @build_id@
287 build_os = @build_os@
288 build_vendor = @build_vendor@
289 builddir = @builddir@
290 datadir = @datadir@
291 datarootdir = @datarootdir@
292 docdir = @docdir@
293 dvidir = @dvidir@
294 exec_prefix = @exec_prefix@
295 host = @host@
296 host_alias = @host_alias@
297 host_cpu = @host_cpu@
298 host_os = @host_os@
299 host_vendor = @host_vendor@
300 htmldir = @htmldir@
301 includedir = @includedir@
302 infodir = @infodir@
303 install_sh = @install_sh@
304 libdir = @libdir@
305 libexecdir = @libexecdir@
306 localedir = @localedir@
307 localstatedir = @localstatedir@
308 mandir = @mandir@
309 mkdir_p = @mkdir_p@
310 oldincludedir = @oldincludedir@
311 pdfdir = @pdfdir@
312 prefix = @prefix@
313 program_transform_name = @program_transform_name@
314 psdir = @psdir@
315 pth_skaddr_makecontext = @pth_skaddr_makecontext@
316 pth_sksize_makecontext = @pth_sksize_makecontext@
317 sbindir = @sbindir@
318 sharedstatedir = @sharedstatedir@
319 srcdir = @srcdir@
320 sysconfdir = @sysconfdir@
321 target = @target@
322 target_alias = @target_alias@
323 target_cpu = @target_cpu@
324 target_os = @target_os@
325 target_vendor = @target_vendor@
326 top_builddir = @top_builddir@
327 top_srcdir = @top_srcdir@
328 INCLUDES = -I$(top_srcdir)/include -I$(top_srcdir)/src -I$(top_srcdir)/src/include
329 AM_CFLAGS = -g
330
331 # Declare all the variables to empty, so that each test set can add
332 # their content to them
333 CLEANFILES = gras/datadesc/datadesc_usage.out
334 EXTRA_DIST = gras/datadesc/datadesc.little32_4 \
335         gras/datadesc/datadesc.little64 gras/datadesc/datadesc.big32_8 \
336         gras/datadesc/datadesc.big32_8_4 \
337         gras/datadesc/datadesc.big32_2 \
338         gras/datadesc/mk_datadesc_structs.pl \
339         gras/msg_handle/msg_handle.xml \
340         simdag/network/platform_2p_1sl.xml \
341         simdag/network/p2p/platform_2p_1sl.xml \
342         simdag/network/p2p/platform_2p_1fl.xml \
343         simdag/network/p2p/platform_2p_1switch.xml \
344         simdag/network/p2p/platform_2p_1bb.xml \
345         simdag/network/mxn/platform_4p_1switch.xml \
346         simdag/partask/platform_2p_1sl_hetero.xml \
347         simdag/partask/platform_2p_1sl.xml
348 TESTS_ENVIRONMENT = $(top_builddir)/tools/tesh/tesh
349 TESTS = xbt/parallel_log_crashtest.tesh \
350         gras/datadesc/datadesc_mem.tesh gras/datadesc/datadesc_rw.tesh \
351         gras/datadesc/datadesc_r_little32_4.tesh \
352         gras/datadesc/datadesc_r_little64.tesh \
353         gras/datadesc/datadesc_r_big32_8.tesh \
354         gras/datadesc/datadesc_r_big32_8_4.tesh \
355         gras/datadesc/datadesc_r_big32_2.tesh $(am__append_1) \
356         $(am__append_2) simdag/network/test_reinit_costs.tesh \
357         simdag/network/p2p/test_latency1.tesh \
358         simdag/network/p2p/test_latency2.tesh \
359         simdag/network/p2p/test_latency3.tesh \
360         simdag/network/p2p/test_latency_bound.tesh \
361         simdag/network/mxn/test_intra_all2all.tesh \
362         simdag/network/mxn/test_intra_independent_comm.tesh \
363         simdag/network/mxn/test_intra_scatter.tesh \
364         simdag/partask/test_comp_only_seq.tesh \
365         simdag/partask/test_comp_only_par.tesh
366 # Data sets still to regenerate:
367 XFAIL_TESTS = gras/datadesc/datadesc_r_little32.tesh \
368         gras/datadesc/datadesc_r_big32_8.tesh \
369         gras/datadesc/datadesc_r_big32_8_4.tesh \
370         gras/datadesc/datadesc_r_big32_2.tesh
371 LDADD_SG = $(abs_top_builddir)/src/libsimgrid.la
372 LDADD_RL = $(abs_top_builddir)/src/libgras.la
373 xbt_parallel_log_crashtest_LDADD = $(LDADD_RL)
374 gras_datadesc_datadesc_usage_SOURCES = gras/datadesc/datadesc_usage.c gras/datadesc/datadesc_structs.c
375 gras_datadesc_datadesc_usage_LDADD = $(LDADD_RL)
376 gras_msg_handle_msg_handle_simulator_SOURCES = gras/msg_handle/msg_handle.c gras/msg_handle/_msg_handle_simulator.c
377 gras_msg_handle_msg_handle_client_SOURCES = gras/msg_handle/msg_handle.c gras/msg_handle/_msg_handle_client.c
378 gras_msg_handle_msg_handle_server_SOURCES = gras/msg_handle/msg_handle.c gras/msg_handle/_msg_handle_server.c
379 gras_msg_handle_msg_handle_simulator_LDADD = $(LDADD_SG)
380 gras_msg_handle_msg_handle_client_LDADD = $(LDADD_RL)
381 gras_msg_handle_msg_handle_server_LDADD = $(LDADD_RL)
382 simdag_network_test_reinit_costs_SOURCES = simdag/network/test_reinit_costs.c
383 simdag_network_test_reinit_costs_LDADD = $(LDADD_SG)
384 simdag_network_p2p_test_latency1_SOURCES = simdag/network/p2p/test_latency1.c
385 simdag_network_p2p_test_latency1_LDADD = $(LDADD_SG)
386 simdag_network_p2p_test_latency2_SOURCES = simdag/network/p2p/test_latency2.c
387 simdag_network_p2p_test_latency2_LDADD = $(LDADD_SG)
388 simdag_network_p2p_test_latency3_SOURCES = simdag/network/p2p/test_latency3.c
389 simdag_network_p2p_test_latency3_LDADD = $(LDADD_SG)
390 simdag_network_p2p_test_latency_bound_SOURCES = simdag/network/p2p/test_latency_bound.c
391 simdag_network_p2p_test_latency_bound_LDADD = $(LDADD_SG)
392 simdag_network_mxn_test_intra_all2all_SOURCES = simdag/network/mxn/test_intra_all2all.c
393 simdag_network_mxn_test_intra_all2all_LDADD = $(LDADD_SG)
394 simdag_network_mxn_test_intra_independent_comm_SOURCES = simdag/network/mxn/test_intra_independent_comm.c
395 simdag_network_mxn_test_intra_independent_comm_LDADD = $(LDADD_SG)
396 simdag_network_mxn_test_intra_scatter_SOURCES = simdag/network/mxn/test_intra_scatter.c
397 simdag_network_mxn_test_intra_scatter_LDADD = $(LDADD_SG)
398 simdag_partask_test_comp_only_seq_SOURCES = simdag/partask/test_comp_only_seq.c
399 simdag_partask_test_comp_only_seq_LDADD = $(LDADD_SG)
400 simdag_partask_test_comp_only_par_SOURCES = simdag/partask/test_comp_only_par.c
401 simdag_partask_test_comp_only_par_LDADD = $(LDADD_SG)
402 all: all-am
403
404 .SUFFIXES:
405 .SUFFIXES: .c .lo .o .obj
406 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/acmacro/dist-files.mk $(am__configure_deps)
407         @for dep in $?; do \
408           case '$(am__configure_deps)' in \
409             *$$dep*) \
410               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
411                 && exit 0; \
412               exit 1;; \
413           esac; \
414         done; \
415         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  teshsuite/Makefile'; \
416         cd $(top_srcdir) && \
417           $(AUTOMAKE) --gnu  teshsuite/Makefile
418 .PRECIOUS: Makefile
419 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
420         @case '$?' in \
421           *config.status*) \
422             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
423           *) \
424             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
425             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
426         esac;
427
428 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
429         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
430
431 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
432         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
433 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
434         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
435
436 clean-noinstPROGRAMS:
437         @list='$(noinst_PROGRAMS)'; for p in $$list; do \
438           f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
439           echo " rm -f $$p $$f"; \
440           rm -f $$p $$f ; \
441         done
442 gras/datadesc/$(am__dirstamp):
443         @$(MKDIR_P) gras/datadesc
444         @: > gras/datadesc/$(am__dirstamp)
445 gras/datadesc/datadesc_usage$(EXEEXT): $(gras_datadesc_datadesc_usage_OBJECTS) $(gras_datadesc_datadesc_usage_DEPENDENCIES) gras/datadesc/$(am__dirstamp)
446         @rm -f gras/datadesc/datadesc_usage$(EXEEXT)
447         $(LINK) $(gras_datadesc_datadesc_usage_OBJECTS) $(gras_datadesc_datadesc_usage_LDADD) $(LIBS)
448 gras/msg_handle/$(am__dirstamp):
449         @$(MKDIR_P) gras/msg_handle
450         @: > gras/msg_handle/$(am__dirstamp)
451 gras/msg_handle/msg_handle_client$(EXEEXT): $(gras_msg_handle_msg_handle_client_OBJECTS) $(gras_msg_handle_msg_handle_client_DEPENDENCIES) gras/msg_handle/$(am__dirstamp)
452         @rm -f gras/msg_handle/msg_handle_client$(EXEEXT)
453         $(LINK) $(gras_msg_handle_msg_handle_client_OBJECTS) $(gras_msg_handle_msg_handle_client_LDADD) $(LIBS)
454 gras/msg_handle/msg_handle_server$(EXEEXT): $(gras_msg_handle_msg_handle_server_OBJECTS) $(gras_msg_handle_msg_handle_server_DEPENDENCIES) gras/msg_handle/$(am__dirstamp)
455         @rm -f gras/msg_handle/msg_handle_server$(EXEEXT)
456         $(LINK) $(gras_msg_handle_msg_handle_server_OBJECTS) $(gras_msg_handle_msg_handle_server_LDADD) $(LIBS)
457 gras/msg_handle/msg_handle_simulator$(EXEEXT): $(gras_msg_handle_msg_handle_simulator_OBJECTS) $(gras_msg_handle_msg_handle_simulator_DEPENDENCIES) gras/msg_handle/$(am__dirstamp)
458         @rm -f gras/msg_handle/msg_handle_simulator$(EXEEXT)
459         $(LINK) $(gras_msg_handle_msg_handle_simulator_OBJECTS) $(gras_msg_handle_msg_handle_simulator_LDADD) $(LIBS)
460 simdag/network/mxn/$(am__dirstamp):
461         @$(MKDIR_P) simdag/network/mxn
462         @: > simdag/network/mxn/$(am__dirstamp)
463 simdag/network/mxn/test_intra_all2all$(EXEEXT): $(simdag_network_mxn_test_intra_all2all_OBJECTS) $(simdag_network_mxn_test_intra_all2all_DEPENDENCIES) simdag/network/mxn/$(am__dirstamp)
464         @rm -f simdag/network/mxn/test_intra_all2all$(EXEEXT)
465         $(LINK) $(simdag_network_mxn_test_intra_all2all_OBJECTS) $(simdag_network_mxn_test_intra_all2all_LDADD) $(LIBS)
466 simdag/network/mxn/test_intra_independent_comm$(EXEEXT): $(simdag_network_mxn_test_intra_independent_comm_OBJECTS) $(simdag_network_mxn_test_intra_independent_comm_DEPENDENCIES) simdag/network/mxn/$(am__dirstamp)
467         @rm -f simdag/network/mxn/test_intra_independent_comm$(EXEEXT)
468         $(LINK) $(simdag_network_mxn_test_intra_independent_comm_OBJECTS) $(simdag_network_mxn_test_intra_independent_comm_LDADD) $(LIBS)
469 simdag/network/mxn/test_intra_scatter$(EXEEXT): $(simdag_network_mxn_test_intra_scatter_OBJECTS) $(simdag_network_mxn_test_intra_scatter_DEPENDENCIES) simdag/network/mxn/$(am__dirstamp)
470         @rm -f simdag/network/mxn/test_intra_scatter$(EXEEXT)
471         $(LINK) $(simdag_network_mxn_test_intra_scatter_OBJECTS) $(simdag_network_mxn_test_intra_scatter_LDADD) $(LIBS)
472 simdag/network/p2p/$(am__dirstamp):
473         @$(MKDIR_P) simdag/network/p2p
474         @: > simdag/network/p2p/$(am__dirstamp)
475 simdag/network/p2p/test_latency1$(EXEEXT): $(simdag_network_p2p_test_latency1_OBJECTS) $(simdag_network_p2p_test_latency1_DEPENDENCIES) simdag/network/p2p/$(am__dirstamp)
476         @rm -f simdag/network/p2p/test_latency1$(EXEEXT)
477         $(LINK) $(simdag_network_p2p_test_latency1_OBJECTS) $(simdag_network_p2p_test_latency1_LDADD) $(LIBS)
478 simdag/network/p2p/test_latency2$(EXEEXT): $(simdag_network_p2p_test_latency2_OBJECTS) $(simdag_network_p2p_test_latency2_DEPENDENCIES) simdag/network/p2p/$(am__dirstamp)
479         @rm -f simdag/network/p2p/test_latency2$(EXEEXT)
480         $(LINK) $(simdag_network_p2p_test_latency2_OBJECTS) $(simdag_network_p2p_test_latency2_LDADD) $(LIBS)
481 simdag/network/p2p/test_latency3$(EXEEXT): $(simdag_network_p2p_test_latency3_OBJECTS) $(simdag_network_p2p_test_latency3_DEPENDENCIES) simdag/network/p2p/$(am__dirstamp)
482         @rm -f simdag/network/p2p/test_latency3$(EXEEXT)
483         $(LINK) $(simdag_network_p2p_test_latency3_OBJECTS) $(simdag_network_p2p_test_latency3_LDADD) $(LIBS)
484 simdag/network/p2p/test_latency_bound$(EXEEXT): $(simdag_network_p2p_test_latency_bound_OBJECTS) $(simdag_network_p2p_test_latency_bound_DEPENDENCIES) simdag/network/p2p/$(am__dirstamp)
485         @rm -f simdag/network/p2p/test_latency_bound$(EXEEXT)
486         $(LINK) $(simdag_network_p2p_test_latency_bound_OBJECTS) $(simdag_network_p2p_test_latency_bound_LDADD) $(LIBS)
487 simdag/network/$(am__dirstamp):
488         @$(MKDIR_P) simdag/network
489         @: > simdag/network/$(am__dirstamp)
490 simdag/network/test_reinit_costs$(EXEEXT): $(simdag_network_test_reinit_costs_OBJECTS) $(simdag_network_test_reinit_costs_DEPENDENCIES) simdag/network/$(am__dirstamp)
491         @rm -f simdag/network/test_reinit_costs$(EXEEXT)
492         $(LINK) $(simdag_network_test_reinit_costs_OBJECTS) $(simdag_network_test_reinit_costs_LDADD) $(LIBS)
493 simdag/partask/$(am__dirstamp):
494         @$(MKDIR_P) simdag/partask
495         @: > simdag/partask/$(am__dirstamp)
496 simdag/partask/test_comp_only_par$(EXEEXT): $(simdag_partask_test_comp_only_par_OBJECTS) $(simdag_partask_test_comp_only_par_DEPENDENCIES) simdag/partask/$(am__dirstamp)
497         @rm -f simdag/partask/test_comp_only_par$(EXEEXT)
498         $(LINK) $(simdag_partask_test_comp_only_par_OBJECTS) $(simdag_partask_test_comp_only_par_LDADD) $(LIBS)
499 simdag/partask/test_comp_only_seq$(EXEEXT): $(simdag_partask_test_comp_only_seq_OBJECTS) $(simdag_partask_test_comp_only_seq_DEPENDENCIES) simdag/partask/$(am__dirstamp)
500         @rm -f simdag/partask/test_comp_only_seq$(EXEEXT)
501         $(LINK) $(simdag_partask_test_comp_only_seq_OBJECTS) $(simdag_partask_test_comp_only_seq_LDADD) $(LIBS)
502 xbt/$(am__dirstamp):
503         @$(MKDIR_P) xbt
504         @: > xbt/$(am__dirstamp)
505 xbt/parallel_log_crashtest$(EXEEXT): $(xbt_parallel_log_crashtest_OBJECTS) $(xbt_parallel_log_crashtest_DEPENDENCIES) xbt/$(am__dirstamp)
506         @rm -f xbt/parallel_log_crashtest$(EXEEXT)
507         $(LINK) $(xbt_parallel_log_crashtest_OBJECTS) $(xbt_parallel_log_crashtest_LDADD) $(LIBS)
508
509 mostlyclean-compile:
510         -rm -f *.$(OBJEXT)
511
512 distclean-compile:
513         -rm -f *.tab.c
514
515 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_msg_handle_client.Po@am__quote@
516 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_msg_handle_server.Po@am__quote@
517 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_msg_handle_simulator.Po@am__quote@
518 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/datadesc_structs.Po@am__quote@
519 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/datadesc_usage.Po@am__quote@
520 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/msg_handle.Po@am__quote@
521 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/parallel_log_crashtest.Po@am__quote@
522 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_comp_only_par.Po@am__quote@
523 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_comp_only_seq.Po@am__quote@
524 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_intra_all2all.Po@am__quote@
525 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_intra_independent_comm.Po@am__quote@
526 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_intra_scatter.Po@am__quote@
527 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_latency1.Po@am__quote@
528 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_latency2.Po@am__quote@
529 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_latency3.Po@am__quote@
530 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_latency_bound.Po@am__quote@
531 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_reinit_costs.Po@am__quote@
532
533 .c.o:
534 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
535 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
536 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
537 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
538 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
539
540 .c.obj:
541 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
542 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
543 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
544 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
545 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
546
547 .c.lo:
548 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
549 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
550 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
551 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
552 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
553
554 datadesc_usage.o: gras/datadesc/datadesc_usage.c
555 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT datadesc_usage.o -MD -MP -MF $(DEPDIR)/datadesc_usage.Tpo -c -o datadesc_usage.o `test -f 'gras/datadesc/datadesc_usage.c' || echo '$(srcdir)/'`gras/datadesc/datadesc_usage.c
556 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/datadesc_usage.Tpo $(DEPDIR)/datadesc_usage.Po
557 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/datadesc/datadesc_usage.c' object='datadesc_usage.o' libtool=no @AMDEPBACKSLASH@
558 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
559 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o datadesc_usage.o `test -f 'gras/datadesc/datadesc_usage.c' || echo '$(srcdir)/'`gras/datadesc/datadesc_usage.c
560
561 datadesc_usage.obj: gras/datadesc/datadesc_usage.c
562 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT datadesc_usage.obj -MD -MP -MF $(DEPDIR)/datadesc_usage.Tpo -c -o datadesc_usage.obj `if test -f 'gras/datadesc/datadesc_usage.c'; then $(CYGPATH_W) 'gras/datadesc/datadesc_usage.c'; else $(CYGPATH_W) '$(srcdir)/gras/datadesc/datadesc_usage.c'; fi`
563 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/datadesc_usage.Tpo $(DEPDIR)/datadesc_usage.Po
564 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/datadesc/datadesc_usage.c' object='datadesc_usage.obj' libtool=no @AMDEPBACKSLASH@
565 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
566 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o datadesc_usage.obj `if test -f 'gras/datadesc/datadesc_usage.c'; then $(CYGPATH_W) 'gras/datadesc/datadesc_usage.c'; else $(CYGPATH_W) '$(srcdir)/gras/datadesc/datadesc_usage.c'; fi`
567
568 datadesc_structs.o: gras/datadesc/datadesc_structs.c
569 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT datadesc_structs.o -MD -MP -MF $(DEPDIR)/datadesc_structs.Tpo -c -o datadesc_structs.o `test -f 'gras/datadesc/datadesc_structs.c' || echo '$(srcdir)/'`gras/datadesc/datadesc_structs.c
570 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/datadesc_structs.Tpo $(DEPDIR)/datadesc_structs.Po
571 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/datadesc/datadesc_structs.c' object='datadesc_structs.o' libtool=no @AMDEPBACKSLASH@
572 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
573 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o datadesc_structs.o `test -f 'gras/datadesc/datadesc_structs.c' || echo '$(srcdir)/'`gras/datadesc/datadesc_structs.c
574
575 datadesc_structs.obj: gras/datadesc/datadesc_structs.c
576 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT datadesc_structs.obj -MD -MP -MF $(DEPDIR)/datadesc_structs.Tpo -c -o datadesc_structs.obj `if test -f 'gras/datadesc/datadesc_structs.c'; then $(CYGPATH_W) 'gras/datadesc/datadesc_structs.c'; else $(CYGPATH_W) '$(srcdir)/gras/datadesc/datadesc_structs.c'; fi`
577 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/datadesc_structs.Tpo $(DEPDIR)/datadesc_structs.Po
578 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/datadesc/datadesc_structs.c' object='datadesc_structs.obj' libtool=no @AMDEPBACKSLASH@
579 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
580 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o datadesc_structs.obj `if test -f 'gras/datadesc/datadesc_structs.c'; then $(CYGPATH_W) 'gras/datadesc/datadesc_structs.c'; else $(CYGPATH_W) '$(srcdir)/gras/datadesc/datadesc_structs.c'; fi`
581
582 msg_handle.o: gras/msg_handle/msg_handle.c
583 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT msg_handle.o -MD -MP -MF $(DEPDIR)/msg_handle.Tpo -c -o msg_handle.o `test -f 'gras/msg_handle/msg_handle.c' || echo '$(srcdir)/'`gras/msg_handle/msg_handle.c
584 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/msg_handle.Tpo $(DEPDIR)/msg_handle.Po
585 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/msg_handle/msg_handle.c' object='msg_handle.o' libtool=no @AMDEPBACKSLASH@
586 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
587 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o msg_handle.o `test -f 'gras/msg_handle/msg_handle.c' || echo '$(srcdir)/'`gras/msg_handle/msg_handle.c
588
589 msg_handle.obj: gras/msg_handle/msg_handle.c
590 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT msg_handle.obj -MD -MP -MF $(DEPDIR)/msg_handle.Tpo -c -o msg_handle.obj `if test -f 'gras/msg_handle/msg_handle.c'; then $(CYGPATH_W) 'gras/msg_handle/msg_handle.c'; else $(CYGPATH_W) '$(srcdir)/gras/msg_handle/msg_handle.c'; fi`
591 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/msg_handle.Tpo $(DEPDIR)/msg_handle.Po
592 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/msg_handle/msg_handle.c' object='msg_handle.obj' libtool=no @AMDEPBACKSLASH@
593 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
594 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o msg_handle.obj `if test -f 'gras/msg_handle/msg_handle.c'; then $(CYGPATH_W) 'gras/msg_handle/msg_handle.c'; else $(CYGPATH_W) '$(srcdir)/gras/msg_handle/msg_handle.c'; fi`
595
596 _msg_handle_client.o: gras/msg_handle/_msg_handle_client.c
597 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _msg_handle_client.o -MD -MP -MF $(DEPDIR)/_msg_handle_client.Tpo -c -o _msg_handle_client.o `test -f 'gras/msg_handle/_msg_handle_client.c' || echo '$(srcdir)/'`gras/msg_handle/_msg_handle_client.c
598 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_msg_handle_client.Tpo $(DEPDIR)/_msg_handle_client.Po
599 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/msg_handle/_msg_handle_client.c' object='_msg_handle_client.o' libtool=no @AMDEPBACKSLASH@
600 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
601 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _msg_handle_client.o `test -f 'gras/msg_handle/_msg_handle_client.c' || echo '$(srcdir)/'`gras/msg_handle/_msg_handle_client.c
602
603 _msg_handle_client.obj: gras/msg_handle/_msg_handle_client.c
604 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _msg_handle_client.obj -MD -MP -MF $(DEPDIR)/_msg_handle_client.Tpo -c -o _msg_handle_client.obj `if test -f 'gras/msg_handle/_msg_handle_client.c'; then $(CYGPATH_W) 'gras/msg_handle/_msg_handle_client.c'; else $(CYGPATH_W) '$(srcdir)/gras/msg_handle/_msg_handle_client.c'; fi`
605 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_msg_handle_client.Tpo $(DEPDIR)/_msg_handle_client.Po
606 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/msg_handle/_msg_handle_client.c' object='_msg_handle_client.obj' libtool=no @AMDEPBACKSLASH@
607 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
608 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _msg_handle_client.obj `if test -f 'gras/msg_handle/_msg_handle_client.c'; then $(CYGPATH_W) 'gras/msg_handle/_msg_handle_client.c'; else $(CYGPATH_W) '$(srcdir)/gras/msg_handle/_msg_handle_client.c'; fi`
609
610 _msg_handle_server.o: gras/msg_handle/_msg_handle_server.c
611 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _msg_handle_server.o -MD -MP -MF $(DEPDIR)/_msg_handle_server.Tpo -c -o _msg_handle_server.o `test -f 'gras/msg_handle/_msg_handle_server.c' || echo '$(srcdir)/'`gras/msg_handle/_msg_handle_server.c
612 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_msg_handle_server.Tpo $(DEPDIR)/_msg_handle_server.Po
613 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/msg_handle/_msg_handle_server.c' object='_msg_handle_server.o' libtool=no @AMDEPBACKSLASH@
614 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
615 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _msg_handle_server.o `test -f 'gras/msg_handle/_msg_handle_server.c' || echo '$(srcdir)/'`gras/msg_handle/_msg_handle_server.c
616
617 _msg_handle_server.obj: gras/msg_handle/_msg_handle_server.c
618 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _msg_handle_server.obj -MD -MP -MF $(DEPDIR)/_msg_handle_server.Tpo -c -o _msg_handle_server.obj `if test -f 'gras/msg_handle/_msg_handle_server.c'; then $(CYGPATH_W) 'gras/msg_handle/_msg_handle_server.c'; else $(CYGPATH_W) '$(srcdir)/gras/msg_handle/_msg_handle_server.c'; fi`
619 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_msg_handle_server.Tpo $(DEPDIR)/_msg_handle_server.Po
620 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/msg_handle/_msg_handle_server.c' object='_msg_handle_server.obj' libtool=no @AMDEPBACKSLASH@
621 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
622 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _msg_handle_server.obj `if test -f 'gras/msg_handle/_msg_handle_server.c'; then $(CYGPATH_W) 'gras/msg_handle/_msg_handle_server.c'; else $(CYGPATH_W) '$(srcdir)/gras/msg_handle/_msg_handle_server.c'; fi`
623
624 _msg_handle_simulator.o: gras/msg_handle/_msg_handle_simulator.c
625 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _msg_handle_simulator.o -MD -MP -MF $(DEPDIR)/_msg_handle_simulator.Tpo -c -o _msg_handle_simulator.o `test -f 'gras/msg_handle/_msg_handle_simulator.c' || echo '$(srcdir)/'`gras/msg_handle/_msg_handle_simulator.c
626 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_msg_handle_simulator.Tpo $(DEPDIR)/_msg_handle_simulator.Po
627 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/msg_handle/_msg_handle_simulator.c' object='_msg_handle_simulator.o' libtool=no @AMDEPBACKSLASH@
628 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
629 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _msg_handle_simulator.o `test -f 'gras/msg_handle/_msg_handle_simulator.c' || echo '$(srcdir)/'`gras/msg_handle/_msg_handle_simulator.c
630
631 _msg_handle_simulator.obj: gras/msg_handle/_msg_handle_simulator.c
632 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _msg_handle_simulator.obj -MD -MP -MF $(DEPDIR)/_msg_handle_simulator.Tpo -c -o _msg_handle_simulator.obj `if test -f 'gras/msg_handle/_msg_handle_simulator.c'; then $(CYGPATH_W) 'gras/msg_handle/_msg_handle_simulator.c'; else $(CYGPATH_W) '$(srcdir)/gras/msg_handle/_msg_handle_simulator.c'; fi`
633 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_msg_handle_simulator.Tpo $(DEPDIR)/_msg_handle_simulator.Po
634 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/msg_handle/_msg_handle_simulator.c' object='_msg_handle_simulator.obj' libtool=no @AMDEPBACKSLASH@
635 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
636 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _msg_handle_simulator.obj `if test -f 'gras/msg_handle/_msg_handle_simulator.c'; then $(CYGPATH_W) 'gras/msg_handle/_msg_handle_simulator.c'; else $(CYGPATH_W) '$(srcdir)/gras/msg_handle/_msg_handle_simulator.c'; fi`
637
638 test_intra_all2all.o: simdag/network/mxn/test_intra_all2all.c
639 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_intra_all2all.o -MD -MP -MF $(DEPDIR)/test_intra_all2all.Tpo -c -o test_intra_all2all.o `test -f 'simdag/network/mxn/test_intra_all2all.c' || echo '$(srcdir)/'`simdag/network/mxn/test_intra_all2all.c
640 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/test_intra_all2all.Tpo $(DEPDIR)/test_intra_all2all.Po
641 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/network/mxn/test_intra_all2all.c' object='test_intra_all2all.o' libtool=no @AMDEPBACKSLASH@
642 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
643 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_intra_all2all.o `test -f 'simdag/network/mxn/test_intra_all2all.c' || echo '$(srcdir)/'`simdag/network/mxn/test_intra_all2all.c
644
645 test_intra_all2all.obj: simdag/network/mxn/test_intra_all2all.c
646 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_intra_all2all.obj -MD -MP -MF $(DEPDIR)/test_intra_all2all.Tpo -c -o test_intra_all2all.obj `if test -f 'simdag/network/mxn/test_intra_all2all.c'; then $(CYGPATH_W) 'simdag/network/mxn/test_intra_all2all.c'; else $(CYGPATH_W) '$(srcdir)/simdag/network/mxn/test_intra_all2all.c'; fi`
647 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/test_intra_all2all.Tpo $(DEPDIR)/test_intra_all2all.Po
648 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/network/mxn/test_intra_all2all.c' object='test_intra_all2all.obj' libtool=no @AMDEPBACKSLASH@
649 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
650 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_intra_all2all.obj `if test -f 'simdag/network/mxn/test_intra_all2all.c'; then $(CYGPATH_W) 'simdag/network/mxn/test_intra_all2all.c'; else $(CYGPATH_W) '$(srcdir)/simdag/network/mxn/test_intra_all2all.c'; fi`
651
652 test_intra_independent_comm.o: simdag/network/mxn/test_intra_independent_comm.c
653 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_intra_independent_comm.o -MD -MP -MF $(DEPDIR)/test_intra_independent_comm.Tpo -c -o test_intra_independent_comm.o `test -f 'simdag/network/mxn/test_intra_independent_comm.c' || echo '$(srcdir)/'`simdag/network/mxn/test_intra_independent_comm.c
654 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/test_intra_independent_comm.Tpo $(DEPDIR)/test_intra_independent_comm.Po
655 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/network/mxn/test_intra_independent_comm.c' object='test_intra_independent_comm.o' libtool=no @AMDEPBACKSLASH@
656 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
657 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_intra_independent_comm.o `test -f 'simdag/network/mxn/test_intra_independent_comm.c' || echo '$(srcdir)/'`simdag/network/mxn/test_intra_independent_comm.c
658
659 test_intra_independent_comm.obj: simdag/network/mxn/test_intra_independent_comm.c
660 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_intra_independent_comm.obj -MD -MP -MF $(DEPDIR)/test_intra_independent_comm.Tpo -c -o test_intra_independent_comm.obj `if test -f 'simdag/network/mxn/test_intra_independent_comm.c'; then $(CYGPATH_W) 'simdag/network/mxn/test_intra_independent_comm.c'; else $(CYGPATH_W) '$(srcdir)/simdag/network/mxn/test_intra_independent_comm.c'; fi`
661 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/test_intra_independent_comm.Tpo $(DEPDIR)/test_intra_independent_comm.Po
662 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/network/mxn/test_intra_independent_comm.c' object='test_intra_independent_comm.obj' libtool=no @AMDEPBACKSLASH@
663 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
664 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_intra_independent_comm.obj `if test -f 'simdag/network/mxn/test_intra_independent_comm.c'; then $(CYGPATH_W) 'simdag/network/mxn/test_intra_independent_comm.c'; else $(CYGPATH_W) '$(srcdir)/simdag/network/mxn/test_intra_independent_comm.c'; fi`
665
666 test_intra_scatter.o: simdag/network/mxn/test_intra_scatter.c
667 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_intra_scatter.o -MD -MP -MF $(DEPDIR)/test_intra_scatter.Tpo -c -o test_intra_scatter.o `test -f 'simdag/network/mxn/test_intra_scatter.c' || echo '$(srcdir)/'`simdag/network/mxn/test_intra_scatter.c
668 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/test_intra_scatter.Tpo $(DEPDIR)/test_intra_scatter.Po
669 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/network/mxn/test_intra_scatter.c' object='test_intra_scatter.o' libtool=no @AMDEPBACKSLASH@
670 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
671 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_intra_scatter.o `test -f 'simdag/network/mxn/test_intra_scatter.c' || echo '$(srcdir)/'`simdag/network/mxn/test_intra_scatter.c
672
673 test_intra_scatter.obj: simdag/network/mxn/test_intra_scatter.c
674 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_intra_scatter.obj -MD -MP -MF $(DEPDIR)/test_intra_scatter.Tpo -c -o test_intra_scatter.obj `if test -f 'simdag/network/mxn/test_intra_scatter.c'; then $(CYGPATH_W) 'simdag/network/mxn/test_intra_scatter.c'; else $(CYGPATH_W) '$(srcdir)/simdag/network/mxn/test_intra_scatter.c'; fi`
675 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/test_intra_scatter.Tpo $(DEPDIR)/test_intra_scatter.Po
676 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/network/mxn/test_intra_scatter.c' object='test_intra_scatter.obj' libtool=no @AMDEPBACKSLASH@
677 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
678 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_intra_scatter.obj `if test -f 'simdag/network/mxn/test_intra_scatter.c'; then $(CYGPATH_W) 'simdag/network/mxn/test_intra_scatter.c'; else $(CYGPATH_W) '$(srcdir)/simdag/network/mxn/test_intra_scatter.c'; fi`
679
680 test_latency1.o: simdag/network/p2p/test_latency1.c
681 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_latency1.o -MD -MP -MF $(DEPDIR)/test_latency1.Tpo -c -o test_latency1.o `test -f 'simdag/network/p2p/test_latency1.c' || echo '$(srcdir)/'`simdag/network/p2p/test_latency1.c
682 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/test_latency1.Tpo $(DEPDIR)/test_latency1.Po
683 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/network/p2p/test_latency1.c' object='test_latency1.o' libtool=no @AMDEPBACKSLASH@
684 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
685 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_latency1.o `test -f 'simdag/network/p2p/test_latency1.c' || echo '$(srcdir)/'`simdag/network/p2p/test_latency1.c
686
687 test_latency1.obj: simdag/network/p2p/test_latency1.c
688 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_latency1.obj -MD -MP -MF $(DEPDIR)/test_latency1.Tpo -c -o test_latency1.obj `if test -f 'simdag/network/p2p/test_latency1.c'; then $(CYGPATH_W) 'simdag/network/p2p/test_latency1.c'; else $(CYGPATH_W) '$(srcdir)/simdag/network/p2p/test_latency1.c'; fi`
689 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/test_latency1.Tpo $(DEPDIR)/test_latency1.Po
690 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/network/p2p/test_latency1.c' object='test_latency1.obj' libtool=no @AMDEPBACKSLASH@
691 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
692 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_latency1.obj `if test -f 'simdag/network/p2p/test_latency1.c'; then $(CYGPATH_W) 'simdag/network/p2p/test_latency1.c'; else $(CYGPATH_W) '$(srcdir)/simdag/network/p2p/test_latency1.c'; fi`
693
694 test_latency2.o: simdag/network/p2p/test_latency2.c
695 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_latency2.o -MD -MP -MF $(DEPDIR)/test_latency2.Tpo -c -o test_latency2.o `test -f 'simdag/network/p2p/test_latency2.c' || echo '$(srcdir)/'`simdag/network/p2p/test_latency2.c
696 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/test_latency2.Tpo $(DEPDIR)/test_latency2.Po
697 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/network/p2p/test_latency2.c' object='test_latency2.o' libtool=no @AMDEPBACKSLASH@
698 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
699 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_latency2.o `test -f 'simdag/network/p2p/test_latency2.c' || echo '$(srcdir)/'`simdag/network/p2p/test_latency2.c
700
701 test_latency2.obj: simdag/network/p2p/test_latency2.c
702 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_latency2.obj -MD -MP -MF $(DEPDIR)/test_latency2.Tpo -c -o test_latency2.obj `if test -f 'simdag/network/p2p/test_latency2.c'; then $(CYGPATH_W) 'simdag/network/p2p/test_latency2.c'; else $(CYGPATH_W) '$(srcdir)/simdag/network/p2p/test_latency2.c'; fi`
703 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/test_latency2.Tpo $(DEPDIR)/test_latency2.Po
704 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/network/p2p/test_latency2.c' object='test_latency2.obj' libtool=no @AMDEPBACKSLASH@
705 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
706 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_latency2.obj `if test -f 'simdag/network/p2p/test_latency2.c'; then $(CYGPATH_W) 'simdag/network/p2p/test_latency2.c'; else $(CYGPATH_W) '$(srcdir)/simdag/network/p2p/test_latency2.c'; fi`
707
708 test_latency3.o: simdag/network/p2p/test_latency3.c
709 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_latency3.o -MD -MP -MF $(DEPDIR)/test_latency3.Tpo -c -o test_latency3.o `test -f 'simdag/network/p2p/test_latency3.c' || echo '$(srcdir)/'`simdag/network/p2p/test_latency3.c
710 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/test_latency3.Tpo $(DEPDIR)/test_latency3.Po
711 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/network/p2p/test_latency3.c' object='test_latency3.o' libtool=no @AMDEPBACKSLASH@
712 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
713 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_latency3.o `test -f 'simdag/network/p2p/test_latency3.c' || echo '$(srcdir)/'`simdag/network/p2p/test_latency3.c
714
715 test_latency3.obj: simdag/network/p2p/test_latency3.c
716 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_latency3.obj -MD -MP -MF $(DEPDIR)/test_latency3.Tpo -c -o test_latency3.obj `if test -f 'simdag/network/p2p/test_latency3.c'; then $(CYGPATH_W) 'simdag/network/p2p/test_latency3.c'; else $(CYGPATH_W) '$(srcdir)/simdag/network/p2p/test_latency3.c'; fi`
717 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/test_latency3.Tpo $(DEPDIR)/test_latency3.Po
718 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/network/p2p/test_latency3.c' object='test_latency3.obj' libtool=no @AMDEPBACKSLASH@
719 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
720 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_latency3.obj `if test -f 'simdag/network/p2p/test_latency3.c'; then $(CYGPATH_W) 'simdag/network/p2p/test_latency3.c'; else $(CYGPATH_W) '$(srcdir)/simdag/network/p2p/test_latency3.c'; fi`
721
722 test_latency_bound.o: simdag/network/p2p/test_latency_bound.c
723 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_latency_bound.o -MD -MP -MF $(DEPDIR)/test_latency_bound.Tpo -c -o test_latency_bound.o `test -f 'simdag/network/p2p/test_latency_bound.c' || echo '$(srcdir)/'`simdag/network/p2p/test_latency_bound.c
724 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/test_latency_bound.Tpo $(DEPDIR)/test_latency_bound.Po
725 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/network/p2p/test_latency_bound.c' object='test_latency_bound.o' libtool=no @AMDEPBACKSLASH@
726 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
727 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_latency_bound.o `test -f 'simdag/network/p2p/test_latency_bound.c' || echo '$(srcdir)/'`simdag/network/p2p/test_latency_bound.c
728
729 test_latency_bound.obj: simdag/network/p2p/test_latency_bound.c
730 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_latency_bound.obj -MD -MP -MF $(DEPDIR)/test_latency_bound.Tpo -c -o test_latency_bound.obj `if test -f 'simdag/network/p2p/test_latency_bound.c'; then $(CYGPATH_W) 'simdag/network/p2p/test_latency_bound.c'; else $(CYGPATH_W) '$(srcdir)/simdag/network/p2p/test_latency_bound.c'; fi`
731 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/test_latency_bound.Tpo $(DEPDIR)/test_latency_bound.Po
732 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/network/p2p/test_latency_bound.c' object='test_latency_bound.obj' libtool=no @AMDEPBACKSLASH@
733 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
734 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_latency_bound.obj `if test -f 'simdag/network/p2p/test_latency_bound.c'; then $(CYGPATH_W) 'simdag/network/p2p/test_latency_bound.c'; else $(CYGPATH_W) '$(srcdir)/simdag/network/p2p/test_latency_bound.c'; fi`
735
736 test_reinit_costs.o: simdag/network/test_reinit_costs.c
737 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_reinit_costs.o -MD -MP -MF $(DEPDIR)/test_reinit_costs.Tpo -c -o test_reinit_costs.o `test -f 'simdag/network/test_reinit_costs.c' || echo '$(srcdir)/'`simdag/network/test_reinit_costs.c
738 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/test_reinit_costs.Tpo $(DEPDIR)/test_reinit_costs.Po
739 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/network/test_reinit_costs.c' object='test_reinit_costs.o' libtool=no @AMDEPBACKSLASH@
740 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
741 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_reinit_costs.o `test -f 'simdag/network/test_reinit_costs.c' || echo '$(srcdir)/'`simdag/network/test_reinit_costs.c
742
743 test_reinit_costs.obj: simdag/network/test_reinit_costs.c
744 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_reinit_costs.obj -MD -MP -MF $(DEPDIR)/test_reinit_costs.Tpo -c -o test_reinit_costs.obj `if test -f 'simdag/network/test_reinit_costs.c'; then $(CYGPATH_W) 'simdag/network/test_reinit_costs.c'; else $(CYGPATH_W) '$(srcdir)/simdag/network/test_reinit_costs.c'; fi`
745 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/test_reinit_costs.Tpo $(DEPDIR)/test_reinit_costs.Po
746 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/network/test_reinit_costs.c' object='test_reinit_costs.obj' libtool=no @AMDEPBACKSLASH@
747 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
748 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_reinit_costs.obj `if test -f 'simdag/network/test_reinit_costs.c'; then $(CYGPATH_W) 'simdag/network/test_reinit_costs.c'; else $(CYGPATH_W) '$(srcdir)/simdag/network/test_reinit_costs.c'; fi`
749
750 test_comp_only_par.o: simdag/partask/test_comp_only_par.c
751 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_comp_only_par.o -MD -MP -MF $(DEPDIR)/test_comp_only_par.Tpo -c -o test_comp_only_par.o `test -f 'simdag/partask/test_comp_only_par.c' || echo '$(srcdir)/'`simdag/partask/test_comp_only_par.c
752 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/test_comp_only_par.Tpo $(DEPDIR)/test_comp_only_par.Po
753 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/partask/test_comp_only_par.c' object='test_comp_only_par.o' libtool=no @AMDEPBACKSLASH@
754 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
755 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_comp_only_par.o `test -f 'simdag/partask/test_comp_only_par.c' || echo '$(srcdir)/'`simdag/partask/test_comp_only_par.c
756
757 test_comp_only_par.obj: simdag/partask/test_comp_only_par.c
758 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_comp_only_par.obj -MD -MP -MF $(DEPDIR)/test_comp_only_par.Tpo -c -o test_comp_only_par.obj `if test -f 'simdag/partask/test_comp_only_par.c'; then $(CYGPATH_W) 'simdag/partask/test_comp_only_par.c'; else $(CYGPATH_W) '$(srcdir)/simdag/partask/test_comp_only_par.c'; fi`
759 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/test_comp_only_par.Tpo $(DEPDIR)/test_comp_only_par.Po
760 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/partask/test_comp_only_par.c' object='test_comp_only_par.obj' libtool=no @AMDEPBACKSLASH@
761 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
762 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_comp_only_par.obj `if test -f 'simdag/partask/test_comp_only_par.c'; then $(CYGPATH_W) 'simdag/partask/test_comp_only_par.c'; else $(CYGPATH_W) '$(srcdir)/simdag/partask/test_comp_only_par.c'; fi`
763
764 test_comp_only_seq.o: simdag/partask/test_comp_only_seq.c
765 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_comp_only_seq.o -MD -MP -MF $(DEPDIR)/test_comp_only_seq.Tpo -c -o test_comp_only_seq.o `test -f 'simdag/partask/test_comp_only_seq.c' || echo '$(srcdir)/'`simdag/partask/test_comp_only_seq.c
766 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/test_comp_only_seq.Tpo $(DEPDIR)/test_comp_only_seq.Po
767 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/partask/test_comp_only_seq.c' object='test_comp_only_seq.o' libtool=no @AMDEPBACKSLASH@
768 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
769 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_comp_only_seq.o `test -f 'simdag/partask/test_comp_only_seq.c' || echo '$(srcdir)/'`simdag/partask/test_comp_only_seq.c
770
771 test_comp_only_seq.obj: simdag/partask/test_comp_only_seq.c
772 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_comp_only_seq.obj -MD -MP -MF $(DEPDIR)/test_comp_only_seq.Tpo -c -o test_comp_only_seq.obj `if test -f 'simdag/partask/test_comp_only_seq.c'; then $(CYGPATH_W) 'simdag/partask/test_comp_only_seq.c'; else $(CYGPATH_W) '$(srcdir)/simdag/partask/test_comp_only_seq.c'; fi`
773 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/test_comp_only_seq.Tpo $(DEPDIR)/test_comp_only_seq.Po
774 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/partask/test_comp_only_seq.c' object='test_comp_only_seq.obj' libtool=no @AMDEPBACKSLASH@
775 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
776 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_comp_only_seq.obj `if test -f 'simdag/partask/test_comp_only_seq.c'; then $(CYGPATH_W) 'simdag/partask/test_comp_only_seq.c'; else $(CYGPATH_W) '$(srcdir)/simdag/partask/test_comp_only_seq.c'; fi`
777
778 parallel_log_crashtest.o: xbt/parallel_log_crashtest.c
779 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT parallel_log_crashtest.o -MD -MP -MF $(DEPDIR)/parallel_log_crashtest.Tpo -c -o parallel_log_crashtest.o `test -f 'xbt/parallel_log_crashtest.c' || echo '$(srcdir)/'`xbt/parallel_log_crashtest.c
780 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/parallel_log_crashtest.Tpo $(DEPDIR)/parallel_log_crashtest.Po
781 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/parallel_log_crashtest.c' object='parallel_log_crashtest.o' libtool=no @AMDEPBACKSLASH@
782 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
783 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o parallel_log_crashtest.o `test -f 'xbt/parallel_log_crashtest.c' || echo '$(srcdir)/'`xbt/parallel_log_crashtest.c
784
785 parallel_log_crashtest.obj: xbt/parallel_log_crashtest.c
786 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT parallel_log_crashtest.obj -MD -MP -MF $(DEPDIR)/parallel_log_crashtest.Tpo -c -o parallel_log_crashtest.obj `if test -f 'xbt/parallel_log_crashtest.c'; then $(CYGPATH_W) 'xbt/parallel_log_crashtest.c'; else $(CYGPATH_W) '$(srcdir)/xbt/parallel_log_crashtest.c'; fi`
787 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/parallel_log_crashtest.Tpo $(DEPDIR)/parallel_log_crashtest.Po
788 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/parallel_log_crashtest.c' object='parallel_log_crashtest.obj' libtool=no @AMDEPBACKSLASH@
789 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
790 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o parallel_log_crashtest.obj `if test -f 'xbt/parallel_log_crashtest.c'; then $(CYGPATH_W) 'xbt/parallel_log_crashtest.c'; else $(CYGPATH_W) '$(srcdir)/xbt/parallel_log_crashtest.c'; fi`
791
792 mostlyclean-libtool:
793         -rm -f *.lo
794
795 clean-libtool:
796         -rm -rf .libs _libs
797
798 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
799         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
800         unique=`for i in $$list; do \
801             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
802           done | \
803           $(AWK) '    { files[$$0] = 1; } \
804                END { for (i in files) print i; }'`; \
805         mkid -fID $$unique
806 tags: TAGS
807
808 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
809                 $(TAGS_FILES) $(LISP)
810         tags=; \
811         here=`pwd`; \
812         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
813         unique=`for i in $$list; do \
814             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
815           done | \
816           $(AWK) '    { files[$$0] = 1; } \
817                END { for (i in files) print i; }'`; \
818         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
819           test -n "$$unique" || unique=$$empty_fix; \
820           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
821             $$tags $$unique; \
822         fi
823 ctags: CTAGS
824 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
825                 $(TAGS_FILES) $(LISP)
826         tags=; \
827         here=`pwd`; \
828         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
829         unique=`for i in $$list; do \
830             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
831           done | \
832           $(AWK) '    { files[$$0] = 1; } \
833                END { for (i in files) print i; }'`; \
834         test -z "$(CTAGS_ARGS)$$tags$$unique" \
835           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
836              $$tags $$unique
837
838 GTAGS:
839         here=`$(am__cd) $(top_builddir) && pwd` \
840           && cd $(top_srcdir) \
841           && gtags -i $(GTAGS_ARGS) $$here
842
843 distclean-tags:
844         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
845
846 check-TESTS: $(TESTS)
847         @failed=0; all=0; xfail=0; xpass=0; skip=0; ws='[        ]'; \
848         srcdir=$(srcdir); export srcdir; \
849         list=' $(TESTS) '; \
850         if test -n "$$list"; then \
851           for tst in $$list; do \
852             if test -f ./$$tst; then dir=./; \
853             elif test -f $$tst; then dir=; \
854             else dir="$(srcdir)/"; fi; \
855             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
856               all=`expr $$all + 1`; \
857               case " $(XFAIL_TESTS) " in \
858               *$$ws$$tst$$ws*) \
859                 xpass=`expr $$xpass + 1`; \
860                 failed=`expr $$failed + 1`; \
861                 echo "XPASS: $$tst"; \
862               ;; \
863               *) \
864                 echo "PASS: $$tst"; \
865               ;; \
866               esac; \
867             elif test $$? -ne 77; then \
868               all=`expr $$all + 1`; \
869               case " $(XFAIL_TESTS) " in \
870               *$$ws$$tst$$ws*) \
871                 xfail=`expr $$xfail + 1`; \
872                 echo "XFAIL: $$tst"; \
873               ;; \
874               *) \
875                 failed=`expr $$failed + 1`; \
876                 echo "FAIL: $$tst"; \
877               ;; \
878               esac; \
879             else \
880               skip=`expr $$skip + 1`; \
881               echo "SKIP: $$tst"; \
882             fi; \
883           done; \
884           if test "$$failed" -eq 0; then \
885             if test "$$xfail" -eq 0; then \
886               banner="All $$all tests passed"; \
887             else \
888               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
889             fi; \
890           else \
891             if test "$$xpass" -eq 0; then \
892               banner="$$failed of $$all tests failed"; \
893             else \
894               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
895             fi; \
896           fi; \
897           dashes="$$banner"; \
898           skipped=""; \
899           if test "$$skip" -ne 0; then \
900             skipped="($$skip tests were not run)"; \
901             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
902               dashes="$$skipped"; \
903           fi; \
904           report=""; \
905           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
906             report="Please report to $(PACKAGE_BUGREPORT)"; \
907             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
908               dashes="$$report"; \
909           fi; \
910           dashes=`echo "$$dashes" | sed s/./=/g`; \
911           echo "$$dashes"; \
912           echo "$$banner"; \
913           test -z "$$skipped" || echo "$$skipped"; \
914           test -z "$$report" || echo "$$report"; \
915           echo "$$dashes"; \
916           test "$$failed" -eq 0; \
917         else :; fi
918
919 distdir: $(DISTFILES)
920         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
921         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
922         list='$(DISTFILES)'; \
923           dist_files=`for file in $$list; do echo $$file; done | \
924           sed -e "s|^$$srcdirstrip/||;t" \
925               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
926         case $$dist_files in \
927           */*) $(MKDIR_P) `echo "$$dist_files" | \
928                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
929                            sort -u` ;; \
930         esac; \
931         for file in $$dist_files; do \
932           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
933           if test -d $$d/$$file; then \
934             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
935             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
936               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
937             fi; \
938             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
939           else \
940             test -f $(distdir)/$$file \
941             || cp -p $$d/$$file $(distdir)/$$file \
942             || exit 1; \
943           fi; \
944         done
945 check-am: all-am
946         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
947 check: check-am
948 all-am: Makefile $(PROGRAMS)
949 installdirs:
950 install: install-am
951 install-exec: install-exec-am
952 install-data: install-data-am
953 uninstall: uninstall-am
954
955 install-am: all-am
956         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
957
958 installcheck: installcheck-am
959 install-strip:
960         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
961           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
962           `test -z '$(STRIP)' || \
963             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
964 mostlyclean-generic:
965
966 clean-generic:
967         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
968
969 distclean-generic:
970         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
971         -rm -f gras/datadesc/$(am__dirstamp)
972         -rm -f gras/msg_handle/$(am__dirstamp)
973         -rm -f simdag/network/$(am__dirstamp)
974         -rm -f simdag/network/mxn/$(am__dirstamp)
975         -rm -f simdag/network/p2p/$(am__dirstamp)
976         -rm -f simdag/partask/$(am__dirstamp)
977         -rm -f xbt/$(am__dirstamp)
978
979 maintainer-clean-generic:
980         @echo "This command is intended for maintainers to use"
981         @echo "it deletes files that may require special tools to rebuild."
982 clean: clean-am
983
984 clean-am: clean-generic clean-libtool clean-noinstPROGRAMS \
985         mostlyclean-am
986
987 distclean: distclean-am
988         -rm -rf ./$(DEPDIR)
989         -rm -f Makefile
990 distclean-am: clean-am distclean-compile distclean-generic \
991         distclean-tags
992
993 dvi: dvi-am
994
995 dvi-am:
996
997 html: html-am
998
999 info: info-am
1000
1001 info-am:
1002
1003 install-data-am:
1004
1005 install-dvi: install-dvi-am
1006
1007 install-exec-am:
1008
1009 install-html: install-html-am
1010
1011 install-info: install-info-am
1012
1013 install-man:
1014
1015 install-pdf: install-pdf-am
1016
1017 install-ps: install-ps-am
1018
1019 installcheck-am:
1020
1021 maintainer-clean: maintainer-clean-am
1022         -rm -rf ./$(DEPDIR)
1023         -rm -f Makefile
1024 maintainer-clean-am: distclean-am maintainer-clean-generic
1025
1026 mostlyclean: mostlyclean-am
1027
1028 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1029         mostlyclean-libtool
1030
1031 pdf: pdf-am
1032
1033 pdf-am:
1034
1035 ps: ps-am
1036
1037 ps-am:
1038
1039 uninstall-am:
1040
1041 .MAKE: install-am install-strip
1042
1043 .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
1044         clean-generic clean-libtool clean-noinstPROGRAMS ctags \
1045         distclean distclean-compile distclean-generic \
1046         distclean-libtool distclean-tags distdir dvi dvi-am html \
1047         html-am info info-am install install-am install-data \
1048         install-data-am install-dvi install-dvi-am install-exec \
1049         install-exec-am install-html install-html-am install-info \
1050         install-info-am install-man install-pdf install-pdf-am \
1051         install-ps install-ps-am install-strip installcheck \
1052         installcheck-am installdirs maintainer-clean \
1053         maintainer-clean-generic mostlyclean mostlyclean-compile \
1054         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1055         tags uninstall uninstall-am
1056
1057
1058 #################
1059 ### XBT tests ###
1060 #################
1061
1062   #######################
1063
1064 ##################
1065 ### GRAS tests ###
1066 ##################
1067
1068   #############################################
1069
1070 gras/datadesc/datadesc_structs.c: gras/datadesc/mk_datadesc_structs.pl
1071         perl $(top_srcdir)/teshsuite/gras/datadesc/mk_datadesc_structs.pl > $@
1072
1073   ##########################################
1074
1075 gras/msg_handle/_msg_handle_simulator.c gras/msg_handle/_msg_handle_client.c gras/msg_handle/_msg_handle_server.c : gras/msg_handle/msg_handle.c gras/msg_handle/msg_handle.xml $(top_builddir)/tools/gras/gras_stub_generator@EXEEXT@
1076         mkdir -p gras/msg_handle; \
1077           cd gras/msg_handle;\
1078           ../../$(top_builddir)/tools/gras/gras_stub_generator@EXEEXT@ msg_handle ../../$(top_srcdir)/teshsuite/gras/msg_handle/msg_handle.xml
1079
1080 dist-files:
1081         @for n in $(DISTFILES) ; do echo $(SRCFILE)$$n; done
1082         @echo
1083         @for n in $(DIST_SUBDIRS) ; do if [ x$$n != x. ] ; then $(MAKE) -C $$n dist-files SRCFILE=$(SRCFILE)$$n/ ; fi; done
1084 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1085 # Otherwise a system limit (for SysV at least) may be exceeded.
1086 .NOEXPORT: